Manage Payment Settings
This set of APIs allows you to get or set your payment settings, including the callback URL and the HTTP method to be used when Paymento sends payment status updates to your server.
This IPN (callback) URL only needs to be set once, It is a persistent store-level configuration. You do not need to set it every time you request a payment token. Once configured, it remains active for all subsequent payments created under that store.
Set Payment Settings API
POST https://api.paymento.io/v1/payment/settings <Description of the endpoint>
Headers
Api-Key
Your Merchant API Key
Content Type
application/json
Accept
text/plain
Body
IPN_Url
string
false
IPN_Method
int
false
HttpPost = 1
HttpPut = 2
Response
{
"success": true,
"message": "",
"body": {
"IPN_Url ": "https://yoursite.com/api/paymento/payment-status",
"ipN_Method": 1
}
}
{
"error": "Invalid request"
}Get Payment Settings API
GET https://api.paymento.io/v1/payment/settings
Headers
Api-Key
Your Merchant API Key
Content Type
application/json
Accept
text/plain
Response
Last updated